#ifndef PIPELINE_HPP__
#define PIPELINE_HPP__

#include <string>


namespace pip
{

class Pipeline
{
public:
    Pipeline() = delete;
    Pipeline(const std::string& name) : name_(name) {}

    void start();
    void stop();

private:
    std::string name_;
    bool running_ = false;
};

}

#endif // PIPELINE_HPP__